# Use rpmbuild --without gcj to disable native bits
%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}
%define origname libxml

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		pentaho-libxml
Version: 	1.0.0
Release: 	1
Summary: 	Namespace aware SAX-Parser utility library
License: 	LGPLv2+
Group: 		System/Libraries
Source: 	http://downloads.sourceforge.net/jfreereport/%{origname}-1.0.0-OOo31.zip
URL: 		http://reporting.pentaho.org/
BuildRequires: 	ant, java-devel, jpackage-utils, jcommon, libloader libbase
Buildroot: 	%{_tmppath}/%{origname}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: 	java, jpackage-utils, jcommon, libloader >= 0.3.7
%if %{with_gcj}
BuildRequires: java-gcj-compat-devel >= 1.0.31
Requires(post): java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch: noarch
%endif

%description
Pentaho LibXML is a namespace aware SAX-Parser utility library. It eases the
pain of implementing non-trivial SAX input handlers.

%package javadoc
Summary: 	Javadoc for %{name}
Group: 		Development/Documentation
Requires: 	%{name} = %{version}-%{release}
Requires: 	jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib commons-logging-api libbase libloader

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{origname}.jar $RPM_BUILD_ROOT%{_javadir}/%{origname}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{origname}
cp -rp build/api $RPM_BUILD_ROOT%{_javadocdir}/%{origname}
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/*.jar
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{origname}

%changelog
* Sun May 31 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Version update
* Wed Oct 01 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.11-1
- Initial release
